package it.integry.plugins.barcode_base_library.interfaces;

import it.integry.plugins.barcode_base_library.extension.RunnableArgs;
import it.integry.plugins.barcode_base_library.exception.BarcodeAdapterNotFoundException;
import it.integry.plugins.barcode_base_library.model.BarcodeScanDTO;

public interface BarcodeReaderInterface {

    boolean isRightAdapter();

    void init() throws BarcodeAdapterNotFoundException;

    void register(RunnableArgs<BarcodeScanDTO> onScanSuccessfull, RunnableArgs<Exception> onScanFailed);

    String getAdapterName();

}
